//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Text;

using nispi.controlclass;

namespace nispi.Menu
{
    class MapControlTabMenu
    {
        public ContextMenuStripParts contextMenuStripParts;

        public ToolStripMenuItemParts menuItemOpenFolderParts;

        public ToolStripMenuItemParts menuItemUpdateParts;

        public MapControlTabEvent mapControlTabEvent;

        public MapControlTabMenu()
        {
            contextMenuStripParts = ContextMenuStripPartsManager.Pop();

            menuItemOpenFolderParts = ToolStripMenuItemPartsManager.Pop();
            menuItemUpdateParts = ToolStripMenuItemPartsManager.Pop();

            menuItemOpenFolderParts.Text = "該当するフォルダーを開く";

            menuItemUpdateParts.Text = "再読み込み";
            menuItemUpdateParts.Image = Resources.reload;

            contextMenuStripParts.ItemsAdd(menuItemOpenFolderParts);
            contextMenuStripParts.ItemsAdd("-");
            contextMenuStripParts.ItemsAdd(menuItemUpdateParts);

            mapControlTabEvent = new MapControlTabEvent(this);
        }
    }
}
